## AnjutaPluginHandle AnjutaPluginHandle — Handle used by plugin manager to keep track of plugins. |

## Stability Level

Unstable, unless otherwise indicated

## Functions

AnjutaPluginHandle * | anjuta_plugin_handle_new ()
const char * | anjuta_plugin_handle_get_id ()
const char * | anjuta_plugin_handle_get_name ()
const char * | anjuta_plugin_handle_get_about ()
const char * | anjuta_plugin_handle_get_icon_path ()
const char * | anjuta_plugin_handle_get_path ()
gboolean | anjuta_plugin_handle_get_user_activatable ()
gboolean | anjuta_plugin_handle_get_resident ()
const char * | anjuta_plugin_handle_get_language ()
AnjutaPluginDescription * | anjuta_plugin_handle_get_description ()
GList * | anjuta_plugin_handle_get_dependency_names ()
GHashTable * | anjuta_plugin_handle_get_dependencies ()
GHashTable * | anjuta_plugin_handle_get_dependents ()
GList * | anjuta_plugin_handle_get_interfaces ()
gboolean | anjuta_plugin_handle_get_can_load ()
gboolean | anjuta_plugin_handle_get_can_unload ()
gboolean | anjuta_plugin_handle_get_checked ()
gint | anjuta_plugin_handle_get_resolve_pass ()
void | anjuta_plugin_handle_set_can_load ()
void | anjuta_plugin_handle_set_can_unload ()
void | anjuta_plugin_handle_set_checked ()
void | anjuta_plugin_handle_set_resolve_pass ()
void | anjuta_plugin_handle_unresolve_dependencies ()

## Properties

gchar * | about | Read
gboolean | can-load | Read
gboolean | can-unload | Read
gboolean | checked | Read
gpointer | dependencies | Read
gpointer | dependency-names | Read
gpointer | dependents | Read
gpointer | description | Read
gchar * | icon-path | Read
gchar * | id | Read
gpointer | interfaces | Read
gchar * | language | Read
gchar * | name | Read
gchar * | path | Read
gboolean | resident | Read
gint | resolve-pass | Read
gboolean | user-activatable | Read

## Types and Values

| AnjutaPluginHandlePriv

## Object Hierarchy

        GObject
        ╰── AnjutaPluginHandle

## Includes

    #include <libanjuta/anjuta-plugin-handle.h>

## Description

Plugin handle is wrapper for installed plugins. For each installed plugin there will be one corresponding plugin handle. It is mainly used by plugin manager to keep track of loading and unloading of plugins.

## Functions

### anjuta_plugin_handle_new ()

    AnjutaPluginHandle *
    anjuta_plugin_handle_new (const gchar *plugin_desc_path);

#### Returns

### anjuta_plugin_handle_get_id ()

    const char *
    anjuta_plugin_handle_get_id (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_name ()

    const char *
    anjuta_plugin_handle_get_name (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_about ()

    const char *
    anjuta_plugin_handle_get_about (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_icon_path ()

    const char *
    anjuta_plugin_handle_get_icon_path (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_path ()

    const char *
    anjuta_plugin_handle_get_path (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_user_activatable ()

    gboolean
    anjuta_plugin_handle_get_user_activatable
                                   (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_resident ()

    gboolean
    anjuta_plugin_handle_get_resident (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_language ()

    const char *
    anjuta_plugin_handle_get_language (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_description ()

    AnjutaPluginDescription *
    anjuta_plugin_handle_get_description (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_dependency_names ()

    GList *
    anjuta_plugin_handle_get_dependency_names
                                   (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_dependencies ()

    GHashTable *
    anjuta_plugin_handle_get_dependencies (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_dependents ()

    GHashTable *
    anjuta_plugin_handle_get_dependents (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_interfaces ()

    GList *
    anjuta_plugin_handle_get_interfaces (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_can_load ()

    gboolean
    anjuta_plugin_handle_get_can_load (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_can_unload ()

    gboolean
    anjuta_plugin_handle_get_can_unload (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_checked ()

    gboolean
    anjuta_plugin_handle_get_checked (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_get_resolve_pass ()

    gint
    anjuta_plugin_handle_get_resolve_pass (AnjutaPluginHandle *plugin_handle);

#### Returns

### anjuta_plugin_handle_set_can_load ()

    void
    anjuta_plugin_handle_set_can_load (AnjutaPluginHandle *plugin_handle,
                                       gboolean can_load);

### anjuta_plugin_handle_set_can_unload ()

    void
    anjuta_plugin_handle_set_can_unload (AnjutaPluginHandle *plugin_handle,
                                         gboolean can_unload);

### anjuta_plugin_handle_set_checked ()

    void
    anjuta_plugin_handle_set_checked (AnjutaPluginHandle *plugin_handle,
                                      gboolean checked);

### anjuta_plugin_handle_set_resolve_pass ()

    void
    anjuta_plugin_handle_set_resolve_pass (AnjutaPluginHandle *plugin_handle,
                                           gboolean resolve_pass);

### anjuta_plugin_handle_unresolve_dependencies ()

    void
    anjuta_plugin_handle_unresolve_dependencies
                                   (AnjutaPluginHandle *plugin_handle);

## Types and Values

### AnjutaPluginHandlePriv

    typedef struct _AnjutaPluginHandlePriv AnjutaPluginHandlePriv;

## Property Details

### The `“about”` property

      “about”                    gchar *

About description of the plugin.

Flags: Read

Default value: NULL

### The `“can-load”` property

      “can-load”                 gboolean

If the plugin can be loaded.

Flags: Read

Default value: FALSE

### The `“can-unload”` property

      “can-unload”               gboolean

If the plugin can be unloaded.

Flags: Read

Default value: TRUE

### The `“checked”` property

      “checked”                  gboolean

If the plugin is checked in UI.

Flags: Read

Default value: FALSE

### The `“dependencies”` property

      “dependencies”             gpointer

Plugin dependencies.

Flags: Read

### The `“dependency-names”` property

      “dependency-names”         gpointer

Plugin dependency names listed in oaf file.

Flags: Read

### The `“dependents”` property

      “dependents”               gpointer

Plugin dependents.

Flags: Read

### The `“description”` property

      “description”              gpointer

Plugin description.

Flags: Read

### The `“icon-path”` property

      “icon-path”                gchar *

Icon path of the plugin.

Flags: Read

Default value: NULL

### The `“id”` property

      “id”                       gchar *

Unique plugin ID.

Flags: Read

Default value: NULL

### The `“interfaces”` property

      “interfaces”               gpointer

Interfaces exported by the plugin.

Flags: Read

### The `“language”` property

      “language”                 gchar *

Language used to write the plugin.

Flags: Read

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Plugin name.

Flags: Read

Default value: NULL

### The `“path”` property

      “path”                     gchar *

Path of the plugin.

Flags: Read

Default value: NULL

### The `“resident”` property

      “resident”                 gboolean

If the plugin cannot be unloaded.

Flags: Read

Default value: FALSE

### The `“resolve-pass”` property

      “resolve-pass”             gint

Dependency resolution pass.

Flags: Read

Default value: 0

### The `“user-activatable”` property

      “user-activatable”         gboolean

If the plugin is user activatable.

Flags: Read

Default value: FALSE

## See Also

AnjutaPluginManager, AnjutaPluginDescription, AnjutaPlugin